/**  版本信息模板在安装目录下，可自行修改。
* T_AutomaticCall_Phone.cs
*
* 功 能： N/A
* 类 名： T_AutomaticCall_Phone
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/3/2 09:32:28   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
namespace CallCenterApi.Model
{
	/// <summary>
	/// T_AutomaticCall_Phone:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class T_AutomaticCall_Phone
	{
		public T_AutomaticCall_Phone()
		{}
		#region Model
		private int _f_id;
		private int _taskid;
		private string _fix;
		private string _phone;
		private DateTime? _createtime;
		private string _createby;
		private int _callstate;
		private string _salesoffice;
		private string _broadbandaccount;
		private string _accesstime;
		private string _channel;
		private string _service;
		private string _package;
		private string _fusion;
		private string _phonestate;
		private string _ordernature;
		private string _address;
		private string _result1;
		private string _result2;
		private string _result3;
		private int? _isconnect=0;
		private DateTime? _calltime;
		/// <summary>
		/// 
		/// </summary>
		public int F_Id
		{
			set{ _f_id=value;}
			get{return _f_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public int taskId
		{
			set{ _taskid=value;}
			get{return _taskid;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string fix
		{
			set{ _fix=value;}
			get{return _fix;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string phone
		{
			set{ _phone=value;}
			get{return _phone;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? createTime
		{
			set{ _createtime=value;}
			get{return _createtime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string createBy
		{
			set{ _createby=value;}
			get{return _createby;}
		}
		/// <summary>
		/// 0 是没打 1 是打过了
		/// </summary>
		public int callState
		{
			set{ _callstate=value;}
			get{return _callstate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string salesOffice
		{
			set{ _salesoffice=value;}
			get{return _salesoffice;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string broadbandAccount
		{
			set{ _broadbandaccount=value;}
			get{return _broadbandaccount;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string accessTime
		{
			set{ _accesstime=value;}
			get{return _accesstime;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string channel
		{
			set{ _channel=value;}
			get{return _channel;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string service
		{
			set{ _service=value;}
			get{return _service;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string package
		{
			set{ _package=value;}
			get{return _package;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string fusion
		{
			set{ _fusion=value;}
			get{return _fusion;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string phoneState
		{
			set{ _phonestate=value;}
			get{return _phonestate;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string orderNature
		{
			set{ _ordernature=value;}
			get{return _ordernature;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string address
		{
			set{ _address=value;}
			get{return _address;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string result1
		{
			set{ _result1=value;}
			get{return _result1;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string result2
		{
			set{ _result2=value;}
			get{return _result2;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string result3
		{
			set{ _result3=value;}
			get{return _result3;}
		}
		/// <summary>
		/// 0是没打通 1 打通了
		/// </summary>
		public int? isconnect
		{
			set{ _isconnect=value;}
			get{return _isconnect;}
		}
		/// <summary>
		/// 
		/// </summary>
		public DateTime? calltime
		{
			set{ _calltime=value;}
			get{return _calltime;}
		}
		#endregion Model

	}
}

